
From: "Andi Kleen" <ak@suse.de>

Cleanups in new backtrace code in oprofile 

Remove 4/4 support code and useless ifdefs

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/oprofile/backtrace.c |   15 ---------------
 1 files changed, 15 deletions(-)

diff -puN arch/i386/oprofile/backtrace.c~x86_64-cleanups-in-new-backtrace-code-in-oprofile arch/i386/oprofile/backtrace.c
--- 25/arch/i386/oprofile/backtrace.c~x86_64-cleanups-in-new-backtrace-code-in-oprofile	Wed Mar 23 15:38:46 2005
+++ 25-akpm/arch/i386/oprofile/backtrace.c	Wed Mar 23 15:38:46 2005
@@ -32,16 +32,6 @@ dump_backtrace(struct frame_head * head)
 	return head->ebp;
 }
 
-
-#ifdef CONFIG_X86_4G
-/* With a 4G kernel/user split, user pages are not directly
- * accessible from the kernel, so don't try
- */
-static int pages_present(struct frame_head * head)
-{
-	return 0;
-}
-#else
 /* check that the page(s) containing the frame head are present */
 static int pages_present(struct frame_head * head)
 {
@@ -53,7 +43,6 @@ static int pages_present(struct frame_he
 
 	return check_user_page_readable(mm, (unsigned long)(head + 1));
 }
-#endif /* CONFIG_X86_4G */
 
 
 /*
@@ -110,15 +99,11 @@ x86_backtrace(struct pt_regs * const reg
 		return;
 	}
 
-#ifdef CONFIG_SMP
 	if (!spin_trylock(&current->mm->page_table_lock))
 		return;
-#endif
 
 	while (depth-- && head && pages_present(head))
 		head = dump_backtrace(head);
 
-#ifdef CONFIG_SMP
 	spin_unlock(&current->mm->page_table_lock);
-#endif
 }
_
